Bug 1998120 - Tuned affining containers to house keeping cpus
Summary: Tuned affining containers to house keeping cpus
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Performance Addon Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.z
Assignee: Martin Sivák
QA Contact: Gowrishankar Rajaiyan
URL:
Whiteboard:
Depends On: 1985739
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 13:01 UTC by Jiří Mencák
Modified: 2022-04-05 14:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Tuned scheduler plugin did not recognize container processes as exceptions being managed by OCP's cpu manager. Consequence: Tuned modified the pinning of containers on restart and placed them all on the house keeping (reserved) cpus. This broke pinning guarantees and overloaded the reserved cpus. Fix: A new tuned feature #1980715 allows defining exceptions using cgroup name and PAO configures tuned to ignore container pinning. Result: Container pinning is now managed by OCP's cpu manager only.
Clone Of: 1985739
Environment:
Last Closed: 2022-04-05 14:44:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 266 0 None None None 2021-08-27 06:02:33 UTC


Note You need to log in before you can comment on or make changes to this bug.